## kodi-pvr-dvblink 9.1.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.dvblink)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(TinyXML2 REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${TINYXML2_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}/lib)

add_definitions(-D__STDC_FORMAT_MACROS)

set(DVBLINK_SOURCES src/addon.cpp
                    src/base64.cpp
                    src/HttpPostClient.cpp
                    src/Settings.cpp
                    src/Socket.cpp
                    src/DVBLinkClient.cpp
                    src/RecordingStreamer.cpp
                    src/TimeShiftBuffer.cpp)

set(DVBLINK_HEADERS src/addon.h
                    src/base64.h
                    src/dvblink_connection.h
                    src/HttpPostClient.h
                    src/Settings.h
                    src/Socket.h
                    src/DVBLinkClient.h
                    src/RecordingStreamer.h
                    src/TimeShiftBuffer.h)

add_subdirectory(lib/libdvblinkremote)
set(DEPLIBS dvblinkremote ${TINYXML2_LIBRARIES})
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
  add_definitions(-D_WINSOCKAPI_ -D_WINSOCK_DEPRECATED_NO_WARNINGS)
endif()

build_addon(pvr.dvblink DVBLINK DEPLIBS)

include(CPack)

## kodi-pvr-dvblink 9.1.0%2Bds1

=== debian/control ===
Source: kodi-pvr-dvblink
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
               dh-sequence-kodiaddon,
               kodi-addons-dev (>= 2:19~),
               libtinyxml2-dev (>= 6.2.0+dfsg~)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink.git
Homepage: https://kodi.tv

Package: kodi-pvr-dvblink
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:PVRAPI}
Description: DVBLink PVR Client for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the DVBLink PVR Client addon.

## kodi-pvr-dvblink 9.1.0+ds1

=== debian/changelog ===
kodi-pvr-dvblink (9.1.0+ds1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:41:43 -0700

kodi-pvr-dvblink (9.1.0+ds1-2) unstable; urgency=medium

  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:53 +0000

kodi-pvr-dvblink (9.1.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 17 Jan 2021 09:26:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kodi-pvr-dvblink
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon,
-               kodi-addons-dev (>= 2:19~),
-               libtinyxml2-dev (>= 6.2.0+dfsg~)
+                    dh-sequence-kodiaddon,
+                    kodi-addons-dev (>= 2:19~),
+                    libtinyxml2-dev (>= 6.2.0+dfsg~)
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink
@@ -16,9 +17,7 @@
 
 Package: kodi-pvr-dvblink
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${kodi:PVRAPI}
+Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
 Description: DVBLink PVR Client for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

## kodi-pvr-dvblink 19.0.0+ds1

=== debian/changelog ===
kodi-pvr-dvblink (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:37 +0000

kodi-pvr-dvblink (9.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 9.1.2+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Aug 2021 21:31:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kodi-pvr-dvblink
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libtinyxml2-dev (>= 6.2.0+dfsg~)
-Standards-Version: 4.5.1
+               dh-sequence-kodiaddon,
+               kodi-addons-dev (>= 2:19~),
+               libtinyxml2-dev (>= 6.2.0+dfsg~)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink.git
@@ -17,7 +16,9 @@
 
 Package: kodi-pvr-dvblink
 Architecture: any
-Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: DVBLink PVR Client for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=0

## kodi-pvr-dvblink 19.0.1+ds1

=== debian/changelog ===
kodi-pvr-dvblink (19.0.1+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:06 +0000

kodi-pvr-dvblink (19.0.1+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Vasyl Gello ]
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 21 Apr 2022 09:13:40 +0000

kodi-pvr-dvblink (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:08 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon,
-               kodi-addons-dev (>= 2:19~),
-               libtinyxml2-dev (>= 6.2.0+dfsg~)
+               dh-sequence-kodiaddon (>= 2:19~),
+               libtinyxml2-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvblink/releases \
/kodi-pvr/pvr.dvblink/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-dvblink 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-dvblink (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:56 +0000

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvblink/releases \
/kodi-pvr/pvr.dvblink/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-dvblink 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-dvblink (20.3.0+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libtinyxml2-10

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 23 Jan 2024 08:19:04 -0700

kodi-pvr-dvblink (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1

  [ Vasyl Gello ]
  * Fix lintian warnings
  * d/watch: switch to git tags

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon (>= 2:19~),
+               dh-sequence-kodiaddon (>= 2:20~),
                libtinyxml2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink.git

## kodi-pvr-dvblink 21.1.2+ds

=== debian/changelog ===
kodi-pvr-dvblink (21.1.2+ds-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:13:24 +0000

kodi-pvr-dvblink (21.1.2+ds-1) unstable; urgency=medium

  * New upstream version 21.1.2+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 07:56:56 +0000

kodi-pvr-dvblink (21.1.0+ds-1) experimental; urgency=medium

  * New upstream version 21.1.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:09:46 +0000

## kodi-pvr-dvblink 21.1.3+ds

=== lib/libdvblinkremote/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
PROJECT(dvblinkremote)

SET(SOURCES channel.cpp
            dvblinkremotecommunication.cpp
            dvblinkremote.cpp
            dvblinkremotehttp.cpp
            epg.cpp
            favorites.cpp
            generic_response.cpp
            item_metadata.cpp
            m3u_playlist.cpp
            parental_lock.cpp
            playback_container.cpp
            playback_item.cpp
            playback_object.cpp
            program.cpp
            recording.cpp
            recording_settings.cpp
            remove_playback_object_request.cpp
            server_info.cpp
            scheduling.cpp
            stop_stream_request.cpp
            stream.cpp
            streaming_capabilities.cpp
            stream_request.cpp
            timeshift.cpp
            transcoded_video_stream_request.cpp
            transcoding_options.cpp
            util.cpp
            resume_info.cpp
            xml_object_serializer_factory.cpp)

ADD_LIBRARY(dvblinkremote STATIC ${SOURCES})
set_property(TARGET dvblinkremote PROPERTY POSITION_INDEPENDENT_CODE ON)

if(WIN32)
  target_link_libraries(dvblinkremote ws2_32)
endif()

=== debian/changelog ===
kodi-pvr-dvblink (21.1.3+ds-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:22:00 +0000

kodi-pvr-dvblink (21.1.3+ds-1) unstable; urgency=high

  * New upstream version 21.1.3+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:36 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
-               dh-sequence-kodiaddon (>= 2:20~),
+               dh-sequence-kodiaddon (>= 2:21~),
                libtinyxml2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-dvblink.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-dvblink

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/kodi-pvr/pvr.dvblink \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
